%%% Tento soubor definuje zkladn makra pro sazbu akordovch hmat.
%%% Vznikl pravou souboru maker texchord.tex verze 0.8.
%%% Byl pizpsoben a rozen pro sazbu text psn s akordy dle mch poadavk.
%%% V Hradci Krlov 1.10.1998 
%%% Pavel Lis, pali@tmapy.cz
%
\newdimen\chordwidth%
\newdimen\chordheight%
\newdimen\extchordheight%
\newdimen\chordlinewidth%
\newdimen\chordbaselinewidth%
\newdimen\chordraise%
%
\def\chordchar{\char15}%
\def\chordchare{\char14}%
%
\newdimen\chordi
\newdimen\chordj
\newdimen\chordk
\newcount\chordl
\newdimen\chordm
\newcount\chordn
%
\def\bigchords{\chordwidth=.28in%
               \chordheight=.3in%
               \extchordheight=.525in%
               \chordlinewidth=.3pt%
               \chordbaselinewidth=1pt%
               \chordraise=3pt%
               \font\chordmarkfont=cmsy8%
               }%
%
\def\smallchords{\chordwidth=.14in%
                 \chordheight=.15in%
                 \extchordheight=.2625in%
                 \chordlinewidth=.15pt%
                 \chordbaselinewidth=.5pt%
                 \chordraise=1.5pt%
                 \font\chordmarkfont=cmsy8 scaled 500%
                 }%
%
\bigchords%
%
\def\vchordrule{{\vrule height \chordheight width \chordlinewidth depth 0pt}}
\def\extvchordrule{{\vrule height \extchordheight width \chordlinewidth depth 0pt}}
\def\hchordrule{{\hrule height \chordlinewidth width \chordwidth depth 0pt}}
\def\basechordrule{{\hrule height \chordbaselinewidth width \chordwidth depth 0pt}}
\def\chordchar{\char15}%
\def\chordchare{\char14}%
\def\chordmark{{\chordmarkfont\chordchar}}
\def\chordmarke{{\chordmarkfont\chordchare}}
%
%
\def\finger#1#2{%string, fret; cz: struna, praec
        \chordi=\chordwidth%
        \divide\chordi by 5%
        \chordl=#1\advance\chordl by -1%
        \multiply\chordi by \chordl%
        \chordj=\chordheight%
        \divide\chordj by 4%
        \chordk=.5\chordj%
        \divide\chordk by 2%
        \chordl=#2\advance\chordl by 0%
        \multiply\chordj by \chordl%
        \advance\chordj by \chordk%
        \setbox0\hbox{\chordmark}%
        \chordk=\wd0%
        \divide\chordk by 2%
%%%%%%%%
%\chordm inserted by pl. for better look
        \chordm=\chordlinewidth%
        \chordn=6 \advance\chordn-#1 \divide\chordn by 5%
        \multiply\chordm by \chordn%
%%%%%%%%
        \advance \chordi by -\chordk%
        \chordk=\ht0%
        \divide\chordk by 2%
        \advance\chordj by -\chordk%
        \lower\chordj\hbox{\hskip\chordm\hskip\chordi\chordmark}%
        \hskip-\chordm\hskip-\wd0\hskip-\chordi}%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%  DOPLNENI o \efinger    Vypise prazdnou strunu
%
\def\efinger#1#2{%string, fret; cz: struna, praec
        \chordi=\chordwidth%
        \divide\chordi by 5%
        \chordl=#1\advance\chordl by -1%
        \multiply\chordi by \chordl%
        \chordj=\chordheight%
        \divide\chordj by 4%
        \chordk=.5\chordj%
        \divide\chordk by 2%
        \chordl=#2\advance\chordl by 0%
        \multiply\chordj by \chordl%
        \advance\chordj by \chordk%
        \setbox0\hbox{\chordmarke}%
        \chordk=\wd0%
        \divide\chordk by 2%
%%%%%%%%
%\chordm inserted by pl. for better look
        \chordm=\chordlinewidth%
        \chordn=6 \advance\chordn-#1 \divide\chordn by 5%
        \multiply\chordm by \chordn%
%%%%%%%%
        \advance \chordi by -\chordk%
        \chordk=\ht0%
        \divide\chordk by 2%
        \advance\chordj by -\chordk%
        \lower\chordj\hbox{\hskip\chordm\hskip\chordi\chordmarke}%
        \hskip-\chordm\hskip-\wd0\hskip-\chordi}%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% DOPLNENI  o bare.  Vykresli bare vcetne krajnich bodu
%
\def\bare#1#2#3{%; cz: horni struna, spodni struna, praec
          \finger{#1}{#3}%
          \chordn=#2 \advance\chordn by -#1%
          \chordm=\chordwidth \divide\chordm by 5 \multiply\chordm by \chordn%
          \advance\chordj by 0.5\chordlinewidth%
          \advance\chordj by -0.5\ht0%
          \advance\chordi by 0.5\wd0%
          \lower\chordj\hbox{\hskip\chordi\vrule height 2\chordlinewidth width\chordm}%
          \hskip-\chordi\hskip-\chordm%
          \finger{#2}{#3}%
        }%
%
\def\chord#1{\hbox to 0pt{\smash{\offinterlineskip
\raise\chordraise\hbox to 0pt{\hbox to \chordwidth{\hss\hbox to 0pt{\hss #1\hss}\hss}\hss}%
\vbox to 0pt{\hbox to 0pt{\hbox to \chordwidth{\vchordrule \hfil \vchordrule \hfil \vchordrule \hfil \vchordrule \hfil \vchordrule \hfil \vchordrule}\hss}\vss}\vbox to 0pt{\vbox to \chordheight{\basechordrule\vfil \hchordrule \vfil  \hchordrule \vfil  \hchordrule \vfil  \hchordrule}\vss}}\hss}}
%
\def\extchord#1{\hbox to 0pt{\smash{\offinterlineskip
\raise\chordraise\hbox to 0pt{\hbox to \chordwidth{\hss\hbox to 0pt{\hss #1\hss}\hss}\hss}%
\vbox to 0pt{\hbox to 0pt{\hbox to \chordwidth{\extvchordrule \hfil \extvchordrule \hfil \extvchordrule \hfil \extvchordrule \hfil \extvchordrule \hfil \extvchordrule}\hss}\vss}\vbox to 0pt{\vbox to \extchordheight{\basechordrule\vfil \hchordrule \vfil  \hchordrule \vfil  \hchordrule \vfil  \hchordrule \vfil  \hchordrule \vfil  \hchordrule \vfil  \hchordrule}\vss}}\hss}}
%
\def\emptychord{\chord{}}
%
\def\anychord#1{\dochord{\offinterlineskip\relax #1}}
\def\anyextchord#1{\doextchord{\offinterlineskip\relax #1}}
%
\def\textchords{\def\dochord##1{\leavevmode\raise\chordheight\hbox{##1}\hskip\chordwidth}}
\def\raisedchords{\def\dochord##1{\leavevmode\raise10pt\hbox{\raise\chordheight\hbox{##1}}}
                  \def\doextchord##1{\leavevmode\raise10pt\hbox{\raise\extchordheight\hbox{##1}}}
                  }
\raisedchords
%
%%\let\prst=\finger
%%\let\pprst=\efinger
